Index: branches/fc15-dev/server/fedora/config/etc/httpd/conf/httpd.conf
===================================================================
--- branches/fc15-dev/server/fedora/config/etc/httpd/conf/httpd.conf	(revision 1878)
+++ branches/fc15-dev/server/fedora/config/etc/httpd/conf/httpd.conf	(revision 1938)
@@ -338,4 +338,5 @@
         Include conf.d/vhosts-common-ssl.conf
         SSLCertificateFile /etc/pki/tls/certs/scripts-cert.pem
+        SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
         Include conf.d/vhosts-common-ssl-cert.conf
     </VirtualHost>
Index: branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/ailg-bdf.conf
===================================================================
--- branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/ailg-bdf.conf	(revision 1938)
+++ branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/ailg-bdf.conf	(revision 1938)
@@ -0,0 +1,34 @@
+# do not trailing-slash DocumentRoot
+
+<VirtualHost *:80>
+	ServerName ailg-bdf.mit.edu
+	ServerAlias ailg-bdf
+	DocumentRoot /afs/athena.mit.edu/org/a/ailg/web_scripts/bdf
+	Alias /~ailg /afs/athena.mit.edu/org/a/ailg/web_scripts
+	SuExecUserGroup ailg ailg
+	Include conf.d/vhosts-common.conf
+</VirtualHost>
+
+<IfModule ssl_module>
+	<VirtualHost *:443>
+		ServerName ailg-bdf.mit.edu
+		ServerAlias ailg-bdf
+		DocumentRoot /afs/athena.mit.edu/org/a/ailg/web_scripts/bdf
+		Alias /~ailg /afs/athena.mit.edu/org/a/ailg/web_scripts
+		SuExecUserGroup ailg ailg
+		Include conf.d/vhosts-common-ssl.conf
+		SSLCertificateFile /etc/pki/tls/certs/ailg-bdf.pem
+		SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
+	</VirtualHost>
+	<VirtualHost *:444>
+		ServerName ailg-bdf.mit.edu
+		ServerAlias ailg-bdf
+		DocumentRoot /afs/athena.mit.edu/org/a/ailg/web_scripts/bdf
+		Alias /~ailg /afs/athena.mit.edu/org/a/ailg/web_scripts
+		SuExecUserGroup ailg ailg
+		Include conf.d/vhosts-common-ssl.conf
+		Include conf.d/vhosts-common-ssl-cert.conf
+		SSLCertificateFile /etc/pki/tls/certs/ailg-bdf.pem
+		SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
+	</VirtualHost>
+</IfModule>
Index: branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/metu.conf
===================================================================
--- branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/metu.conf	(revision 1878)
+++ branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/metu.conf	(revision 1938)
@@ -19,4 +19,5 @@
 		Include conf.d/vhosts-common-ssl.conf
 		SSLCertificateFile /etc/pki/tls/certs/metu.pem
+		SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
 	</VirtualHost>
 	<VirtualHost *:444>
@@ -29,4 +30,5 @@
 		Include conf.d/vhosts-common-ssl-cert.conf
 		SSLCertificateFile /etc/pki/tls/certs/metu.pem
+		SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
 	</VirtualHost>
 </IfModule>
Index: branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/nudelta.conf
===================================================================
--- branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/nudelta.conf	(revision 1938)
+++ branches/fc15-dev/server/fedora/config/etc/httpd/vhosts.d/nudelta.conf	(revision 1938)
@@ -0,0 +1,34 @@
+# do not trailing-slash DocumentRoot
+
+<VirtualHost *:80>
+	ServerName nudelta.mit.edu
+	ServerAlias nudelta
+	DocumentRoot /afs/athena.mit.edu/activity/n/ndelta/web_scripts/www
+	Alias /~ndelta /afs/athena.mit.edu/activity/n/ndelta/web_scripts
+	SuExecUserGroup ndelta ndelta
+	Include conf.d/vhosts-common.conf
+</VirtualHost>
+
+<IfModule ssl_module>
+	<VirtualHost *:443>
+		ServerName nudelta.mit.edu
+		ServerAlias nudelta
+		DocumentRoot /afs/athena.mit.edu/activity/n/ndelta/web_scripts/www
+		Alias /~ndelta /afs/athena.mit.edu/activity/n/ndelta/web_scripts
+		SuExecUserGroup ndelta ndelta
+		Include conf.d/vhosts-common-ssl.conf
+		SSLCertificateFile /etc/pki/tls/certs/nudelta.pem
+		SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
+	</VirtualHost>
+	<VirtualHost *:444>
+		ServerName nudelta.mit.edu
+		ServerAlias nudelta
+		DocumentRoot /afs/athena.mit.edu/activity/n/ndelta/web_scripts/www
+		Alias /~ndelta /afs/athena.mit.edu/activity/n/ndelta/web_scripts
+		SuExecUserGroup ndelta ndelta
+		Include conf.d/vhosts-common-ssl.conf
+		Include conf.d/vhosts-common-ssl-cert.conf
+		SSLCertificateFile /etc/pki/tls/certs/nudelta.pem
+		SSLCertificateKeyFile /etc/pki/tls/private/scripts.key
+	</VirtualHost>
+</IfModule>
